﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace UploadDownloadFile
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
		
			try
			{
				using (Util.ConnectionForm cf = new Util.ConnectionForm())
				{
					if (cf.ShowDialog() == DialogResult.OK) Application.Run(new MainForm(cf));
				}
			}
			catch (Exception e)
			{
				MessageBox.Show(e.Message);
			}
		}
	}
}
