﻿Partial Public Class [Default]
    Inherits System.Web.UI.Page

    Protected Sub btnOK_Click(ByVal sender As Object, ByVal e As EventArgs)
        Try
            Dim server As String = boxServerName.Text
            Dim port As Integer = Integer.Parse(boxPortNumber.Text)
            Dim partition As String = boxPartition.Text
            Dim username As String = boxUsername.Text
            Dim password As String = boxPassword.Text

            ' Test settings
            Using c As New DataContext(False)
                c.Settings.Server = server
                c.Settings.PortNumber = port
                c.Settings.Partition = partition
                c.Connect(username, password)
            End Using
            lblMessage.Visible = False

            '
            Dim url As String = "MainPage.aspx?server={0}&port={1}&partition={2}&lang={3}&user={4}&pwd={5}"
            url = String.Format(url, HttpUtility.UrlEncode(server), port, HttpUtility.UrlEncode(partition), HttpUtility.UrlEncode("ENG"), HttpUtility.UrlEncode(username), _
             HttpUtility.UrlEncode(password))
            Response.Redirect(url)
        Catch ex As Exception
            lblMessage.Text = ex.Message
            lblMessage.Visible = True
        End Try
    End Sub

End Class