﻿<%@ Page Language="vb" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="HRWebApplication.MainPage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Employees</title>
    <link rel=stylesheet href=Stylesheet.css />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        &nbsp;<asp:GridView ID="employeeList" runat="server" AutoGenerateColumns="False" CellPadding="10" AllowPaging="True" AutoGenerateSelectButton="True" BorderStyle="Solid" BorderWidth="1px" OnPageIndexChanging="employeeList_PageIndexChanging" OnSelectedIndexChanged="employeeList_SelectedIndexChanged" PageSize="7">
            <Columns>
                <asp:BoundField DataField="EmployeeNo" HeaderText="Employee No" >
                    <HeaderStyle Wrap="False" />
                    <ItemStyle Width="10%" />
                </asp:BoundField>
                <asp:BoundField DataField="FirstName" HeaderText="First Name" >
                    <ItemStyle Width="40%" />
                </asp:BoundField>
                <asp:BoundField DataField="Surname" HeaderText="Surname" >
                    <ItemStyle Width="40%" />
                </asp:BoundField>
            </Columns>
            <HeaderStyle BackColor="Silver" />
            <SelectedRowStyle BackColor="#FFE0C0" />
        </asp:GridView>
        <asp:Label ID="lblMessage" runat="server" Font-Bold="True" ForeColor="Red" Text="Label"
            Visible="False"></asp:Label><br />
        <asp:Panel ID="dataEntryPanel" runat="server" Width="100%">
            <asp:Button ID="editButton" runat="server" Text="Edit" OnClick="editButton_Click" />
            <asp:Button ID="saveButton" runat="server" Text="Save" OnClick="saveButton_Click"/>
            <asp:Button ID="cancelButton" runat="server" Text="Cancel" OnClick="cancelButton_Click" /><br />
            <br />
            <table style="width: 100%">
                <tr>
                    <td style="width: 69px">
                        First Name:</td>
                    <td style="width: 100px">
                        <asp:TextBox ID="boxFirstName" runat="server"></asp:TextBox></td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                </tr>
                <tr>
                    <td style="width: 69px">
                        Surname:</td>
                    <td style="width: 100px">
                        <asp:TextBox ID="boxSurname" runat="server"></asp:TextBox></td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                </tr>
                <tr>
                    <td style="width: 69px">
                    </td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                </tr>
                <tr>
                    <td style="width: 69px">
                    </td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                </tr>
                <tr>
                    <td style="width: 69px">
                    </td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                    <td style="width: 100px">
                    </td>
                </tr>
            </table>
            <asp:GridView ID="skillList" runat="server" AutoGenerateColumns="False" Width="100%" OnRowCancelingEdit="skillList_RowCancelingEdit" OnRowDeleting="skillList_RowDeleting" OnRowEditing="skillList_RowEditing" OnRowUpdating="skillList_RowUpdating">
                <Columns>
                    <asp:BoundField DataField="SkillCode" HeaderText="Skill Code" />
                    <asp:BoundField DataField="Grade" HeaderText="Grade" />
                </Columns>
            </asp:GridView>
        </asp:Panel>
    
    </div>
    </form>
</body>
</html>
